Skip to main content
aboutsummaryrefslogtreecommitdiffstats
path: root/releng
diff options
context:
space:
mode:
authorCamille Letavernier2013-09-03 04:25:10 -0400
committerCamille Letavernier2013-09-03 04:25:10 -0400
commit902cd592febf2d76090fe8516cf79cecd3eee35c (patch)
tree70ed9a8f437baeb8779a8a5e1118c60ae870bbe6 /releng
parent43cd62b00991b458ca1dd7069c0612bc84b8dfbc (diff)
downloadorg.eclipse.papyrus-902cd592febf2d76090fe8516cf79cecd3eee35c.tar.gz
org.eclipse.papyrus-902cd592febf2d76090fe8516cf79cecd3eee35c.tar.xz
org.eclipse.papyrus-902cd592febf2d76090fe8516cf79cecd3eee35c.zip
[Releng] Update Luna/Kepler builds
Diffstat (limited to 'releng')
-rw-r--r--releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/cronPromote.sh216
-rw-r--r--releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/manualPromote.sh6
-rw-r--r--releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/manualPromote_0.10.X.sh183
3 files changed, 248 insertions, 157 deletions
diff --git a/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/cronPromote.sh b/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/cronPromote.sh
index db550758b72..5050062c869 100644
--- a/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/cronPromote.sh
+++ b/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/cronPromote.sh
@@ -37,38 +37,26 @@ LAST_PROMOTE_FILE_TRUNK_NIGHTLY_TESTS=/opt/public/modeling/mdt/papyrus/papyrus-t
PROMOTE_SIGNAL_TRUNK_NIGHTLY_TESTS=/opt/public/modeling/mdt/papyrus/papyrus-trunk-nightly-tests/promoteSignal
PROMOTE_VERSION_TRUNK_NIGHTLY_TESTS=/opt/public/modeling/mdt/papyrus/papyrus-trunk-nightly-tests/promoteVersion
-### MAINTENANCE 0.9 ###
+### MAINTENANCE 0.10 ###
-LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.9-maintenance-nightly/lastPromoteRef
-PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.9-maintenance-nightly/promoteSignal
-PROMOTE_VERSION_0_9_MAINTENANCE_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.9-maintenance-nightly/promoteVersion
+LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.10-maintenance-nightly/lastPromoteRef
+PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.10-maintenance-nightly/promoteSignal
+PROMOTE_VERSION_0_10_MAINTENANCE_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.10-maintenance-nightly/promoteVersion
-LAST_PROMOTE_FILE_0_9_MAINTENANCE_EXTRA_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.9-maintenance-extra-nightly/lastPromoteRef
-PROMOTE_SIGNAL_0_9_MAINTENANCE_EXTRA_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.9-maintenance-extra-nightly/promoteSignal
-PROMOTE_VERSION_0_9_MAINTENANCE_EXTRA_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.9-maintenance-extra-nightly/promoteVersion
+LAST_PROMOTE_FILE_0_10_MAINTENANCE_EXTRA_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.10-maintenance-extra-nightly/lastPromoteRef
+PROMOTE_SIGNAL_0_10_MAINTENANCE_EXTRA_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.10-maintenance-extra-nightly/promoteSignal
+PROMOTE_VERSION_0_10_MAINTENANCE_EXTRA_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.10-maintenance-extra-nightly/promoteVersion
-LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY_TESTS=/opt/public/modeling/mdt/papyrus/papyrus-0.9-maintenance-nightly-tests/lastPromoteRef
-PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY_TESTS=/opt/public/modeling/mdt/papyrus/papyrus-0.9-maintenance-nightly-tests/promoteSignal
-PROMOTE_VERSION_0_9_MAINTENANCE_NIGHTLY_TESTS=/opt/public/modeling/mdt/papyrus/papyrus-0.9-maintenance-nightly-tests/promoteVersion
-
-### MAINTENANCE 0.8 ###
-
-LAST_PROMOTE_FILE_MAINTENANCE_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.8-maintenance-nightly/lastPromoteRef
-PROMOTE_SIGNAL_MAINTENANCE_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.8-maintenance-nightly/promoteSignal
-PROMOTE_VERSION_MAINTENANCE_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.8-maintenance-nightly/promoteVersion
-
-LAST_PROMOTE_FILE_MAINTENANCE_EXTRA_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.8-maintenance-extra-nightly/lastPromoteRef
-PROMOTE_SIGNAL_MAINTENANCE_EXTRA_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.8-maintenance-extra-nightly/promoteSignal
-PROMOTE_VERSION_MAINTENANCE_EXTRA_NIGHTLY=/opt/public/modeling/mdt/papyrus/papyrus-0.8-maintenance-extra-nightly/promoteVersion
+LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY_TESTS=/opt/public/modeling/mdt/papyrus/papyrus-0.10-maintenance-nightly-tests/lastPromoteRef
+PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY_TESTS=/opt/public/modeling/mdt/papyrus/papyrus-0.10-maintenance-nightly-tests/promoteSignal
+PROMOTE_VERSION_0_10_MAINTENANCE_NIGHTLY_TESTS=/opt/public/modeling/mdt/papyrus/papyrus-0.10-maintenance-nightly-tests/promoteVersion
### Update Sites ###
-UPDATES_TRUNK_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/kepler/main
-UPDATES_TRUNK_EXTRA_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/kepler/extra
-UPDATES_0_9_MAINTENANCE_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/juno/main
-UPDATES_0_9_MAINTENANCE_EXTRA_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/juno/extra
-UPDATES_MAINTENANCE_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/indigo/main
-UPDATES_MAINTENANCE_EXTRA_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/indigo/extra
+UPDATES_TRUNK_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/luna/main
+UPDATES_TRUNK_EXTRA_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/luna/extra
+UPDATES_0_10_MAINTENANCE_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/kepler/main
+UPDATES_0_10_MAINTENANCE_EXTRA_NIGHTLY=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates/nightly/kepler/extra
DROPS_DIR=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/downloads/drops
@@ -94,16 +82,11 @@ if [ ! -e $LAST_PROMOTE_FILE_TRUNK_NIGHTLY ]; then touch $LAST_PROMOTE_FILE_TRUN
if [ ! -e $LAST_PROMOTE_FILE_TRUNK_EXTRA_NIGHTLY ]; then touch $LAST_PROMOTE_FILE_TRUNK_EXTRA_NIGHTLY; fi
if [ ! -e $LAST_PROMOTE_FILE_TRUNK_NIGHTLY_TESTS ]; then touch $LAST_PROMOTE_FILE_TRUNK_NIGHTLY_TESTS; fi
-### MAINTENANCE 0.9 ###
-
-if [ ! -e $LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY ]; then touch $LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY; fi
-if [ ! -e $LAST_PROMOTE_FILE_0_9_MAINTENANCE_EXTRA_NIGHTLY ]; then touch $LAST_PROMOTE_FILE_0_9_MAINTENANCE_EXTRA_NIGHTLY; fi
-if [ ! -e $LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY_TESTS ]; then touch $LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY_TESTS; fi
+### MAINTENANCE 0.10 ###
-### MAINTENANCE 0.8 ###
-
-if [ ! -e $LAST_PROMOTE_FILE_MAINTENANCE_NIGHTLY ]; then touch $LAST_PROMOTE_FILE_MAINTENANCE_NIGHTLY; fi
-if [ ! -e $LAST_PROMOTE_FILE_MAINTENANCE_EXTRA_NIGHTLY ]; then touch $LAST_PROMOTE_FILE_MAINTENANCE_EXTRA_NIGHTLY; fi
+if [ ! -e $LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY ]; then touch $LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY; fi
+if [ ! -e $LAST_PROMOTE_FILE_0_10_MAINTENANCE_EXTRA_NIGHTLY ]; then touch $LAST_PROMOTE_FILE_0_10_MAINTENANCE_EXTRA_NIGHTLY; fi
+if [ ! -e $LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY_TESTS ]; then touch $LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY_TESTS; fi
###
@@ -111,12 +94,9 @@ if [ ! -e $PROMOTE_SIGNAL_TRUNK_NIGHTLY ]; then echo "$DATE: ERROR: $PROMOTE_SIG
if [ ! -e $PROMOTE_SIGNAL_TRUNK_EXTRA_NIGHTLY ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_TRUNK_EXTRA_NIGHTLY not found"; exit 1; fi
if [ ! -e $PROMOTE_SIGNAL_TRUNK_NIGHTLY_TESTS ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_TRUNK_NIGHTLY_TESTS not found"; exit 1; fi
-if [ ! -e $PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY not found"; exit 1; fi
-if [ ! -e $PROMOTE_SIGNAL_0_9_MAINTENANCE_EXTRA_NIGHTLY ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_0_9_MAINTENANCE_EXTRA_NIGHTLY not found"; exit 1; fi
-if [ ! -e $PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY_TESTS ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY_TESTS not found"; exit 1; fi
-
-if [ ! -e $PROMOTE_SIGNAL_MAINTENANCE_NIGHTLY ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_MAINTENANCE_NIGHTLY not found"; exit 1; fi
-if [ ! -e $PROMOTE_SIGNAL_MAINTENANCE_EXTRA_NIGHTLY ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_MAINTENANCE_EXTRA_NIGHTLY not found"; exit 1; fi
+if [ ! -e $PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY not found"; exit 1; fi
+if [ ! -e $PROMOTE_SIGNAL_0_10_MAINTENANCE_EXTRA_NIGHTLY ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_0_10_MAINTENANCE_EXTRA_NIGHTLY not found"; exit 1; fi
+if [ ! -e $PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY_TESTS ]; then echo "$DATE: ERROR: $PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY_TESTS not found"; exit 1; fi
###
@@ -124,9 +104,9 @@ signalDateTrunkNightly=$(stat --format=%Y $PROMOTE_SIGNAL_TRUNK_NIGHTLY)
signalDateTrunkExtraNightly=$(stat --format=%Y $PROMOTE_SIGNAL_TRUNK_EXTRA_NIGHTLY)
signalDateTrunkNightlyTests=$(stat --format=%Y $PROMOTE_SIGNAL_TRUNK_NIGHTLY_TESTS)
-signalDate09MaintenanceNightly=$(stat --format=%Y $PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY)
-signalDate09MaintenanceExtraNightly=$(stat --format=%Y $PROMOTE_SIGNAL_0_9_MAINTENANCE_EXTRA_NIGHTLY)
-signalDate09MaintenanceNightlyTests=$(stat --format=%Y $PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY_TESTS)
+signalDate10MaintenanceNightly=$(stat --format=%Y $PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY)
+signalDate10MaintenanceExtraNightly=$(stat --format=%Y $PROMOTE_SIGNAL_0_10_MAINTENANCE_EXTRA_NIGHTLY)
+signalDate10MaintenanceNightlyTests=$(stat --format=%Y $PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY_TESTS)
signalDateMaintenanceNightly=$(stat --format=%Y $PROMOTE_SIGNAL_MAINTENANCE_NIGHTLY)
signalDateMaintenanceExtraNightly=$(stat --format=%Y $PROMOTE_SIGNAL_MAINTENANCE_EXTRA_NIGHTLY)
@@ -137,9 +117,9 @@ lastPromoteDateTrunkNightly=$(stat --format=%Y $LAST_PROMOTE_FILE_TRUNK_NIGHTLY)
lastPromoteDateTrunkExtraNightly=$(stat --format=%Y $LAST_PROMOTE_FILE_TRUNK_EXTRA_NIGHTLY)
lastPromoteDateTrunkNightlyTests=$(stat --format=%Y $LAST_PROMOTE_FILE_TRUNK_NIGHTLY_TESTS)
-lastPromoteDate09MaintenanceNightly=$(stat --format=%Y $LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY)
-lastPromoteDate09MaintenanceExtraNightly=$(stat --format=%Y $LAST_PROMOTE_FILE_0_9_MAINTENANCE_EXTRA_NIGHTLY)
-lastPromoteDate09MaintenanceNightlyTests=$(stat --format=%Y $LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY_TESTS)
+lastPromoteDate10MaintenanceNightly=$(stat --format=%Y $LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY)
+lastPromoteDate10MaintenanceExtraNightly=$(stat --format=%Y $LAST_PROMOTE_FILE_0_10_MAINTENANCE_EXTRA_NIGHTLY)
+lastPromoteDate10MaintenanceNightlyTests=$(stat --format=%Y $LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY_TESTS)
lastPromoteDateMaintenanceNightly=$(stat --format=%Y $LAST_PROMOTE_FILE_MAINTENANCE_NIGHTLY)
lastPromoteDateMaintenanceExtraNightly=$(stat --format=%Y $LAST_PROMOTE_FILE_MAINTENANCE_EXTRA_NIGHTLY)
@@ -170,7 +150,7 @@ if [ $signalDateTrunkNightly -gt $lastPromoteDateTrunkNightly ]; then
echo "[$DATE] promote done"
- # trigger the tests, 3.8 tests and extras builds by using the Hudson Rest API
+ # trigger the tests and extras builds by using the Hudson Rest API
# see http://wiki.hudson-ci.org/display/HUDSON/Remote+access+API
echo "[$DATE] triggering Hudson tests build"
@@ -185,17 +165,6 @@ if [ $signalDateTrunkNightly -gt $lastPromoteDateTrunkNightly ]; then
], "": ""}'
curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-trunk-nightly-tests/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
- echo "[$DATE] triggering Hudson 3.8 tests build"
- json='{"parameter": [
- {"name": "BUCKMINSTER_LOGLEVEL", "value": "DEBUG"},
- {"name": "CLEAN_TP", "value": "true"},
- {"name": "CLEAN_WORKSPACE", "value": "true"},
- {"name": "CLEAN_OUTPUT", "value": "true"},
- {"name": "CLEAN_TOOLS", "value": "false"},
- {"name": "BUILD_TARGET", "value": "test"}
- ], "": ""}'
- curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-trunk-nightly-3.8-tests/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
-
echo "[$DATE] triggering Hudson extras build"
json='{"parameter": [
{"name": "BUCKMINSTER_LOGLEVEL", "value": "DEBUG"},
@@ -320,33 +289,33 @@ if [ $signalDateTrunkExtraNightly -gt $lastPromoteDateTrunkExtraNightly ]; then
curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-trunk-extra-nightly-tests/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
fi
-########## maintenance main 0.9 nightly ##########
-if [ $signalDate09MaintenanceNightly -gt $lastPromoteDate09MaintenanceNightly ]; then
+########## maintenance main 0.10 nightly ##########
+if [ $signalDate10MaintenanceNightly -gt $lastPromoteDate10MaintenanceNightly ]; then
# mark the promote as done
- touch "$LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY"
+ touch "$LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY"
- waitUntilJobIsFinished "papyrus-0.9-maintenance-nightly" "$JOB_FINISH_WAIT_TIMEOUT"
+ waitUntilJobIsFinished "papyrus-0.10-maintenance-nightly" "$JOB_FINISH_WAIT_TIMEOUT"
# the Hudson job wrote these build name and version to publish
- buildName=$(cat "$PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY")
- version=$(cat "$PROMOTE_VERSION_0_9_MAINTENANCE_NIGHTLY")
+ buildName=$(cat "$PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY")
+ version=$(cat "$PROMOTE_VERSION_0_10_MAINTENANCE_NIGHTLY")
zipName="Papyrus-Main.zip"
echo "[$DATE] deleting previous nightly update site"
- rm -rf "$UPDATES_0_9_MAINTENANCE_NIGHTLY"
+ rm -rf "$UPDATES_0_10_MAINTENANCE_NIGHTLY"
buildsDir="$DROPS_DIR/$version"
echo "[$DATE] pruning old builds"
prune N "$buildsDir" 2
- nfsURL="/shared/jobs/papyrus-0.9-maintenance-nightly/lastSuccessful/archive/"
- hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.9-maintenance-nightly/lastSuccessfulBuild/artifact/"
+ nfsURL="/shared/jobs/papyrus-0.10-maintenance-nightly/lastSuccessful/archive/"
+ hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-nightly/lastSuccessfulBuild/artifact/"
export SVN_DIRECTORIES_TO_TAG=( )
- promote "$zipName" "$version" "$nfsURL" "$hudsonURL" "$DROPS_DIR" "$ARCHIVE_DIR" "$ARCHIVE_INDEX" "$UPDATES_0_9_MAINTENANCE_NIGHTLY" "Papyrus-Update-" "NA"
+ promote "$zipName" "$version" "$nfsURL" "$hudsonURL" "$DROPS_DIR" "$ARCHIVE_DIR" "$ARCHIVE_INDEX" "$UPDATES_0_10_MAINTENANCE_NIGHTLY" "Papyrus-Update-" "NA"
echo "[$DATE] promote done"
- # trigger the tests, 3.8 tests and extras builds by using the Hudson Rest API
+ # trigger the tests and extras builds by using the Hudson Rest API
# see http://wiki.hudson-ci.org/display/HUDSON/Remote+access+API
echo "[$DATE] triggering Hudson tests build"
@@ -359,18 +328,7 @@ if [ $signalDate09MaintenanceNightly -gt $lastPromoteDate09MaintenanceNightly ];
{"name": "BUILD_TARGET", "value": "test"},
{"name": "BUILD_TYPE", "value": "N"}
], "": ""}'
- curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-0.9-maintenance-nightly-tests/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
-
- echo "[$DATE] triggering Hudson 3.8 tests build"
- json='{"parameter": [
- {"name": "BUCKMINSTER_LOGLEVEL", "value": "DEBUG"},
- {"name": "CLEAN_TP", "value": "true"},
- {"name": "CLEAN_WORKSPACE", "value": "true"},
- {"name": "CLEAN_OUTPUT", "value": "true"},
- {"name": "CLEAN_TOOLS", "value": "false"},
- {"name": "BUILD_TARGET", "value": "test"}
- ], "": ""}'
- curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-0.9-maintenance-nightly-3.8-tests/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
+ curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-nightly-tests/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
echo "[$DATE] triggering Hudson extras build"
json='{"parameter": [
@@ -385,15 +343,15 @@ if [ $signalDate09MaintenanceNightly -gt $lastPromoteDate09MaintenanceNightly ];
{"name": "JAVA_HOME", "value": "/shared/common/jdk-1.5.0-22.x86_64"},
{"name": "SIGN_UPDATE_SITE", "value": "false"}
], "": ""}'
- curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-0.9-maintenance-extra-nightly/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
+ curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-extra-nightly/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
fi
-########## maintenance 0.9 main nightly tests ##########
-if [ $signalDate09MaintenanceNightlyTests -gt $lastPromoteDate09MaintenanceNightlyTests ]; then
+########## maintenance 0.10 main nightly tests ##########
+if [ $signalDate10MaintenanceNightlyTests -gt $lastPromoteDate10MaintenanceNightlyTests ]; then
# mark the promote as done
- touch "$LAST_PROMOTE_FILE_0_9_MAINTENANCE_NIGHTLY_TESTS"
+ touch "$LAST_PROMOTE_FILE_0_10_MAINTENANCE_NIGHTLY_TESTS"
- waitUntilJobIsFinished "papyrus-0.9-maintenance-nightly-tests" "$JOB_FINISH_WAIT_TIMEOUT"
+ waitUntilJobIsFinished "papyrus-0.10-maintenance-nightly-tests" "$JOB_FINISH_WAIT_TIMEOUT"
dirBefore=$(pwd)
echo "[$DATE] creating working dir"
@@ -403,11 +361,11 @@ if [ $signalDate09MaintenanceNightlyTests -gt $lastPromoteDate09MaintenanceNight
# for the tests build, the build name and version are taken from the last main build since the artifacts
# must go to the same folder, and we want to be able to start several extra jobs after one single main job
- buildName=$(cat "$PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY")
- version=$(cat "$PROMOTE_VERSION_0_9_MAINTENANCE_NIGHTLY")
+ buildName=$(cat "$PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY")
+ version=$(cat "$PROMOTE_VERSION_0_10_MAINTENANCE_NIGHTLY")
zipName="Papyrus-TestResults.zip"
- nfsURL="/shared/jobs/papyrus-0.9-maintenance-nightly-tests/lastSuccessful/archive/"
- hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.9-maintenance-nightly-tests/lastSuccessfulBuild/artifact/"
+ nfsURL="/shared/jobs/papyrus-0.10-maintenance-nightly-tests/lastSuccessful/archive/"
+ hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-nightly-tests/lastSuccessfulBuild/artifact/"
cp "$nfsURL/${zipName}" . || wget --no-check-certificate "$hudsonURL/${zipName}"
if [ ! -f "$zipName" ]; then echo "ERROR: $zipName (from Hudson) not found"; exit -2; fi
@@ -427,15 +385,15 @@ if [ $signalDate09MaintenanceNightlyTests -gt $lastPromoteDate09MaintenanceNight
# TODO: re-enable when the job is implemented
# echo "[$DATE] triggering Hudson tests build"
- # curl https://hudson.eclipse.org/hudson/job/papyrus-0.9-maintenance-extra-nightly-tests/buildWithParameters?token=token
+ # curl https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-extra-nightly-tests/buildWithParameters?token=token
fi
-########## maintenance 0.9 extras nightly ##########
-if [ $signalDate09MaintenanceExtraNightly -gt $lastPromoteDate09MaintenanceExtraNightly ]; then
+########## maintenance 0.10 extras nightly ##########
+if [ $signalDate10MaintenanceExtraNightly -gt $lastPromoteDate10MaintenanceExtraNightly ]; then
# mark the promote as done
- touch "$LAST_PROMOTE_FILE_0_9_MAINTENANCE_EXTRA_NIGHTLY"
+ touch "$LAST_PROMOTE_FILE_0_10_MAINTENANCE_EXTRA_NIGHTLY"
- waitUntilJobIsFinished "papyrus-0.9-maintenance-extra-nightly" "$JOB_FINISH_WAIT_TIMEOUT"
+ waitUntilJobIsFinished "papyrus-0.10-maintenance-extra-nightly" "$JOB_FINISH_WAIT_TIMEOUT"
dirBefore=$(pwd)
echo "[$DATE] creating working dir"
@@ -445,12 +403,12 @@ if [ $signalDate09MaintenanceExtraNightly -gt $lastPromoteDate09MaintenanceExtra
# for the extra build, the build name and version are taken from the last main build since the artifacts
# must go to the same folder, and we want to be able to start several extra jobs after one single main job
- buildName=$(cat "$PROMOTE_SIGNAL_0_9_MAINTENANCE_NIGHTLY")
- version=$(cat "$PROMOTE_VERSION_0_9_MAINTENANCE_NIGHTLY")
+ buildName=$(cat "$PROMOTE_SIGNAL_0_10_MAINTENANCE_NIGHTLY")
+ version=$(cat "$PROMOTE_VERSION_0_10_MAINTENANCE_NIGHTLY")
zipName="Papyrus-Extra.zip"
updateZipName="Papyrus-Extra-Update.zip"
- nfsURL="/shared/jobs/papyrus-0.9-maintenance-extra-nightly/lastSuccessful/archive/"
- hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.9-maintenance-extra-nightly/lastSuccessfulBuild/artifact/"
+ nfsURL="/shared/jobs/papyrus-0.10-maintenance-extra-nightly/lastSuccessful/archive/"
+ hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-extra-nightly/lastSuccessfulBuild/artifact/"
# publish to existing drops folder
cp "$nfsURL/${zipName}" . || wget --no-check-certificate "$hudsonURL/${zipName}"
@@ -466,12 +424,12 @@ if [ $signalDate09MaintenanceExtraNightly -gt $lastPromoteDate09MaintenanceExtra
unzip "$zipName" -d "$tmpDrop"
dirNameInZip=$(ls -1 "$tmpDrop")
[ $(echo "$dirNameInZip" | wc -l) == 1 ] || { echo "one directory expected in zip"; exit 1; }
- rm -rf "$UPDATES_0_9_MAINTENANCE_EXTRA_NIGHTLY"
- unzip -o "$tmpDrop/$dirNameInZip/${updateZipName}" -d "$UPDATES_0_9_MAINTENANCE_EXTRA_NIGHTLY"
+ rm -rf "$UPDATES_0_10_MAINTENANCE_EXTRA_NIGHTLY"
+ unzip -o "$tmpDrop/$dirNameInZip/${updateZipName}" -d "$UPDATES_0_10_MAINTENANCE_EXTRA_NIGHTLY"
echo "[$DATE] setting access rights"
setAccessRights "$buildsDir"
- setAccessRights "$UPDATES_0_9_MAINTENANCE_EXTRA_NIGHTLY"
+ setAccessRights "$UPDATES_0_10_MAINTENANCE_EXTRA_NIGHTLY"
echo "[$DATE] promote done"
@@ -493,55 +451,5 @@ if [ $signalDate09MaintenanceExtraNightly -gt $lastPromoteDate09MaintenanceExtra
{"name": "BUILD_TYPE", "value": "N"},
{"name": "BUILD_TARGET", "value": "test"}
], "": ""}'
- curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-0.9-maintenance-extra-nightly-tests/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
-fi
-
-########## maintenance main nightly ##########
-if [ $signalDateMaintenanceNightly -gt $lastPromoteDateMaintenanceNightly ]; then
- # mark the promote as done
- touch "$LAST_PROMOTE_FILE_MAINTENANCE_NIGHTLY"
-
- waitUntilJobIsFinished "papyrus-0.8-maintenance-nightly" "$JOB_FINISH_WAIT_TIMEOUT"
-
- zipName=$(cat "$PROMOTE_SIGNAL_MAINTENANCE_NIGHTLY").zip
- version=$(cat "$PROMOTE_VERSION_MAINTENANCE_NIGHTLY")
-
- echo "[$DATE] deleting previous nightly update site"
- rm -rf "$UPDATES_MAINTENANCE_NIGHTLY"
-
- buildsDir="$DROPS_DIR/$version"
- echo "[$DATE] pruning old builds"
- prune N "$buildsDir" 2
-
- nfsURL="/shared/jobs/papyrus-0.8-maintenance-nightly/lastSuccessful/archive/"
- hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.8-maintenance-nightly/lastSuccessfulBuild/artifact/"
- export SVN_DIRECTORIES_TO_TAG=( )
- promote "$zipName" "$version" "$nfsURL" "$hudsonURL" "$DROPS_DIR" "$ARCHIVE_DIR" "$ARCHIVE_INDEX" "$UPDATES_MAINTENANCE_NIGHTLY" "Papyrus-Update-" "NA"
-
- echo "[$DATE] done"
-fi
-
-########## maintenance extras nightly ##########
-if [ $signalDateMaintenanceExtraNightly -gt $lastPromoteDateMaintenanceExtraNightly ]; then
- # mark the promote as done
- touch "$LAST_PROMOTE_FILE_MAINTENANCE_EXTRA_NIGHTLY"
-
- waitUntilJobIsFinished "papyrus-0.8-maintenance-extra-nightly" "$JOB_FINISH_WAIT_TIMEOUT"
-
- zipName=$(cat "$PROMOTE_SIGNAL_MAINTENANCE_EXTRA_NIGHTLY").zip
- version=$(cat "$PROMOTE_VERSION_MAINTENANCE_EXTRA_NIGHTLY")
-
- echo "[$DATE] deleting previous nightly update site"
- rm -rf "$UPDATES_MAINTENANCE_EXTRA_NIGHTLY"
-
- buildsDir="$DROPS_DIR/$version"
- echo "[$DATE] pruning old builds"
- prune N "$buildsDir" 2
-
- nfsURL="/shared/jobs/papyrus-0.8-maintenance-extra-nightly/lastSuccessful/archive/"
- hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.8-maintenance-extra-nightly/lastSuccessfulBuild/artifact/"
- export SVN_DIRECTORIES_TO_TAG=( )
- promote "$zipName" "$version" "$nfsURL" "$hudsonURL" "$DROPS_DIR" "$ARCHIVE_DIR" "$ARCHIVE_INDEX" "$UPDATES_MAINTENANCE_EXTRA_NIGHTLY" "PapyrusExtra-Update-" "NA"
-
- echo "[$DATE] done"
+ curl -X POST https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-extra-nightly-tests/build -d token=token --data-urlencode json="$json" | grep --ignore-case error && exit -1
fi
diff --git a/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/manualPromote.sh b/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/manualPromote.sh
index 36d475b175b..31dc7312d61 100644
--- a/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/manualPromote.sh
+++ b/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/manualPromote.sh
@@ -20,7 +20,7 @@ DROPS_DIR=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/downloads/d
ARCHIVE_DIR=/home/data/httpd/archive.eclipse.org/modeling/mdt/papyrus/downloads/drops
ARCHIVE_INDEX=/home/data/httpd/archive.eclipse.org/modeling/mdt/papyrus/downloads/index.html
UPDATE_SITES_DIR=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates
-ZIP_PREFIX="Papyrus-Update-"
+ZIP_PREFIX="Papyrus-Update-incubation"
PROMOTE_FUNCTIONS_SH=/opt/public/modeling/mdt/papyrus/promoteFunctions.sh
ADD_TO_COMPOSITE_SH=/opt/public/modeling/mdt/papyrus/addToComposite.sh
@@ -67,7 +67,7 @@ while [[ ! "$version" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]]; do
done
echo "updateSite (e.g. \"nightly/juno\", \"milestones/0.9/M5\", \"releases/indigo/0.8.1\") : "
-while [[ ! "$updateSite" =~ ^(tmpTest|releases/(indigo|juno|kepler)/[0-9]+\.[0-9]\.[0-9]|milestones/[0-9]+\.[0-9]+/(M[1-7]|RC[1-9]|SR[1-9]_RC[1-9])|nightly/(indigo|juno|kepler))$ ]]; do
+while [[ ! "$updateSite" =~ ^(tmpTest|releases/(indigo|juno|kepler|luna)/[0-9]+\.[0-9]\.[0-9]|milestones/[0-9]+\.[0-9]+/(M[1-7]|RC[1-9]|SR[1-9]_RC[1-9])|nightly/(indigo|juno|kepler|luna))$ ]]; do
echo -n "? "
read updateSite
done
@@ -107,7 +107,7 @@ cd "$workingDir"
nfsURL="/shared/jobs/papyrus-trunk-nightly/builds/$mainBuildNumber/archive/"
hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-trunk-nightly/$mainBuildNumber/artifact/"
zipName="Papyrus-Main.zip"
-updateZipPrefix="Papyrus-Update"
+updateZipPrefix="Papyrus-Update-incubation"
getZip "$zipName" "$nfsURL" "$hudsonURL"
mkdir -p "$updateSiteDir"
diff --git a/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/manualPromote_0.10.X.sh b/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/manualPromote_0.10.X.sh
new file mode 100644
index 00000000000..3f16cf1a54c
--- /dev/null
+++ b/releng/org.eclipse.mdt.papyrus.releng.buckminster/serverConfig/manualPromote_0.10.X.sh
@@ -0,0 +1,183 @@
+#!/bin/bash
+
+#--------------------------------------------------------------------------------
+# Copyright (c) 2012 CEA LIST.
+#
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+#
+# Contributors:
+# Nicolas Bros (Mia-Software)
+#--------------------------------------------------------------------------------
+
+set -o errexit
+set -o nounset
+
+DROPS_DIR=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/downloads/drops
+ARCHIVE_DIR=/home/data/httpd/archive.eclipse.org/modeling/mdt/papyrus/downloads/drops
+ARCHIVE_INDEX=/home/data/httpd/archive.eclipse.org/modeling/mdt/papyrus/downloads/index.html
+UPDATE_SITES_DIR=/home/data/httpd/download.eclipse.org/modeling/mdt/papyrus/updates
+ZIP_PREFIX="Papyrus-Update-incubation"
+PROMOTE_FUNCTIONS_SH=/opt/public/modeling/mdt/papyrus/promoteFunctions.sh
+ADD_TO_COMPOSITE_SH=/opt/public/modeling/mdt/papyrus/addToComposite.sh
+
+SVN_DIRECTORIES_TO_TAG[0]="file:///svnroot/modeling/org.eclipse.mdt.papyrus"
+
+# constants required by promoteFunctions.sh
+export ADD_DOWNLOAD_STATS=/opt/public/modeling/mdt/papyrus/addDownloadStats.sh
+
+# include promote functions
+source "$PROMOTE_FUNCTIONS_SH"
+
+# ============================== USER PARAMETERS ==============================
+
+echo "-------------------- user parameters --------------------"
+mainBuildNumber=""
+extrasBuildNumber=""
+testsBuildNumber=""
+version=""
+updateSite=""
+sure=""
+
+echo "mainBuildNumber (the number of the \"papyrus-0.10-maintenance-nightly\" Hudson build from which to publish the main Papyrus plug-ins): "
+while [[ ! "$mainBuildNumber" =~ ^[0-9]+$ || "$mainBuildNumber" < 1 ]]; do
+ echo -n "? "
+ read mainBuildNumber
+done
+
+echo "extrasBuildNumber (the number of the \"papyrus-0.10-maintenance-extra-nightly\" Hudson build from which to publish the extra Papyrus plug-ins, or 0 to not publish): "
+while [[ ! "$extrasBuildNumber" =~ ^[0-9]+$ || "$extrasBuildNumber" < 0 ]]; do
+ echo -n "? "
+ read extrasBuildNumber
+done
+
+echo "testsBuildNumber (the number of the \"papyrus-0.10-maintenance-nightly-tests\" Hudson build from which to publish the test results, or 0 to not publish): "
+while [[ ! "$testsBuildNumber" =~ ^[0-9]+$ || "$testsBuildNumber" < 0 ]]; do
+ echo -n "? "
+ read testsBuildNumber
+done
+
+echo "version (e.g. \"0.10.0\"): "
+while [[ ! "$version" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]]; do
+ echo -n "? "
+ read version
+done
+
+echo "updateSite (e.g. \"nightly/kepler\", \"milestones/0.10/M5\", \"releases/kepler/0.10.1\") : "
+while [[ ! "$updateSite" =~ ^(tmpTest|releases/(indigo|juno|kepler|luna)/[0-9]+\.[0-9]\.[0-9]|milestones/[0-9]+\.[0-9]+/(M[1-7]|RC[1-9]|SR[1-9]_RC[1-9])|nightly/(indigo|juno|kepler|luna))$ ]]; do
+ echo -n "? "
+ read updateSite
+done
+
+updateSiteDir="$UPDATE_SITES_DIR/$updateSite"
+
+deleteUpdateSite=""
+if [ -e "$updateSiteDir" ]; then
+ echo "The update site already exists: $updateSiteDir"
+ echo "Do you want to delete it (yes|no)?"
+ while [[ ! "$deleteUpdateSite" =~ ^(yes|no)$ ]]; do
+ echo -n "? "
+ read deleteUpdateSite
+ done
+ if [ "$deleteUpdateSite" != "yes" ]; then echo "Canceled."; exit 1; fi
+ rm -rf "$updateSiteDir"
+fi
+
+
+echo "Are you sure you want to publish with these parameters (yes|no)?"
+while [[ ! "$sure" =~ ^(yes|no)$ ]]; do
+ echo -n "? "
+ read sure
+done
+
+if [ "$sure" != "yes" ]; then echo "Canceled."; exit 1; fi
+
+# from now on, display executed commands
+set -x
+
+dirBefore=$(pwd)
+echo "[$DATE] creating working dir"
+workingDir=$(mktemp -d)
+cd "$workingDir"
+
+# ============================== PUBLISH MAIN ==============================
+nfsURL="/shared/jobs/papyrus-0.10-maintenance-nightly/builds/$mainBuildNumber/archive/"
+hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-nightly/$mainBuildNumber/artifact/"
+zipName="Papyrus-Main.zip"
+updateZipPrefix="Papyrus-Update-incubation"
+getZip "$zipName" "$nfsURL" "$hudsonURL"
+
+mkdir -p "$updateSiteDir"
+
+buildsDir="$DROPS_DIR/$version"
+echo "publishing build (version='$version') to the builds directory '$buildsDir'..."
+unzip -o "$zipName" -d "$buildsDir"
+
+foldersInZip=$(unzip -t "$zipName" | egrep "testing: *[^/]*/ +OK" | sed 's%^ *testing: *\([^/]*\)/ *OK$%\1%')
+[ $(echo "$foldersInZip" | wc -l) == 1 ] || { echo "one directory expected in zip"; exit 1; }
+folderName="$foldersInZip"
+
+updateSiteZipName=$(basename $(ls -1 "$buildsDir/$folderName/${updateZipPrefix}"*.zip))
+unzip -o "$buildsDir/$folderName/${updateSiteZipName}" -d "$updateSiteDir/main"
+
+# create the composite update site
+cat > "$updateSiteDir/compositeArtifacts.xml" <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<repository name="Papyrus" type="org.eclipse.equinox.internal.p2.artifact.repository.CompositeArtifactRepository" version="1.0.0">
+ <properties size="1">
+ <property name="p2.timestamp" value="$(date +%s000)"/>
+ </properties>
+ <children size="2">
+ <child location="main"/>
+ <child location="extra"/>
+ </children>
+</repository>
+EOF
+
+cat > "$updateSiteDir/compositeContent.xml" <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<repository name="Papyrus" type="org.eclipse.equinox.internal.p2.metadata.repository.CompositeMetadataRepository" version="1.0.0">
+ <properties size="1">
+ <property name="p2.timestamp" value="$(date +%s000)"/>
+ </properties>
+ <children size="2">
+ <child location="main"/>
+ <child location="extra"/>
+ </children>
+</repository>
+EOF
+
+$ADD_DOWNLOAD_STATS "$updateSiteDir/main" "main"
+
+# ============================== PUBLISH EXTRAS ==============================
+if [[ "$extrasBuildNumber" != "0" ]]; then
+ nfsURL="/shared/jobs/papyrus-0.10-maintenance-extra-nightly/builds/$extrasBuildNumber/archive/"
+ hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-extra-nightly/$extrasBuildNumber/artifact/"
+ zipName="Papyrus-Extra.zip"
+ updateZipName="Papyrus-Extra-Update.zip"
+ getZip "$zipName" "$nfsURL" "$hudsonURL"
+ # unzips under an "extra" folder under the main build's folder
+ unzip -o "$zipName" -d "$buildsDir/$folderName"
+ unzip -o "$buildsDir/$folderName/extra/$updateZipName" -d "$updateSiteDir/extra"
+
+ $ADD_DOWNLOAD_STATS "$updateSiteDir/extra" "extra"
+fi
+
+# ============================== PUBLISH TESTS ==============================
+if [[ "$testsBuildNumber" != "0" ]]; then
+ nfsURL="/shared/jobs/papyrus-0.10-maintenance-nightly-tests/builds/$testsBuildNumber/archive/"
+ hudsonURL="https://hudson.eclipse.org/hudson/job/papyrus-0.10-maintenance-nightly-tests/$testsBuildNumber/artifact/"
+ zipName="Papyrus-TestResults.zip"
+ getZip "$zipName" "$nfsURL" "$hudsonURL"
+ # unzips under a "testresults" folder under the main build's folder
+ unzip -o "$zipName" -d "$buildsDir/$folderName"
+fi
+
+
+setAccessRights "$buildsDir/$folderName"
+setAccessRights "$updateSiteDir"
+
+echo "publishing done."

Back to the top